Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/jboss/jboss-security-spi/%{version}.%{reltag}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define reltag SP1
%define namedversion %{version}.%{reltag}
%define oname jboss-security-spi

Name:           jboss-security-spi
Version:        2.0.3
Release:        alt1_2.SP1.1jpp6
Epoch:          1
Summary:        JBoss Security SPI
License:        LGPLv2+
Group:          Development/Java
URL:            http://www.jboss.org/
# svn -q export http://anonsvn.jboss.org/repos/jbossas/projects/security/security-spi/tags/2.0.3.SP1/ jboss-security-spi-2.0.3 && tar cjf jboss-security-spi-2.0.3.tar.bz2 jboss-security-spi-2.0.3
Source0:        jboss-security-spi-2.0.3.tar.bz2
Source1:        jboss-security-spi-jpp-depmap.xml
Source2:        jboss-security-spi-settings.xml
Source3:        jboss-security-spi-component-info.xml
BuildArch:      noarch
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
BuildRequires: jpackage-utils >= 0:1.7.3
BuildRequires: maven2 >= 0:2.0.7
BuildRequires: maven2-plugin-assembly
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-source
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-release
BuildRequires: maven-surefire-maven-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: jboss-parent
BuildRequires: jboss-test
BuildRequires: junit

BuildRequires: jaspi_1_0_api
BuildRequires: servlet_2_5_api

Requires: jaspi_1_0_api
Requires: servlet_2_5_api



%description
JBoss Security SPI.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n %{oname}-%{version}

cp -p %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

%build
export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Daggregate=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        javadoc:javadoc

%install

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 acl/target/acl-spi.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/acl-spi-%{version}.jar
install -m 644 assembly/target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-%{version}.jar
install -m 644 authorization/target/authorization-spi.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/authorization-spi-%{version}.jar
install -m 644 identity/target/identity-spi.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/identity-spi-%{version}.jar
install -m 644 %{name}-as4/target/%{name}-as4-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-as4-%{version}.jar
install -m 644 spi/target/%{name}-bare.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-bare-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

%add_to_maven_depmap org.jboss.security %{name}-pom %{namedversion} JPP/%{name} %{name}-pom
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-pom.pom
%add_to_maven_depmap org.jboss.security %{name}-parent %{namedversion} JPP/%{name} %{name}-parent
install -m 644 parent/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-parent.pom
%add_to_maven_depmap org.jboss.security acl-spi %{namedversion} JPP/%{name} acl-spi
install -m 644 acl/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-acl-spi.pom
%add_to_maven_depmap org.jboss.security %{name} %{namedversion} JPP/%{name} %{name}
install -m 644 assembly/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}.pom
%add_to_maven_depmap org.jboss.security authorization-spi %{namedversion} JPP/%{name} authorization-spi
install -m 644 authorization/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-authorization-spi.pom
%add_to_maven_depmap org.jboss.security identity-spi %{namedversion} JPP/%{name} identity-spi
install -m 644 identity/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-identity-spi.pom
%add_to_maven_depmap org.jboss.security %{name}-as4 %{namedversion} JPP/%{name} %{name}-as4
install -m 644 %{name}-as4/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-as4.pom
%add_to_maven_depmap org.jboss.security %{name}-bare %{namedversion} JPP/%{name} %{name}-bare
install -m 644 spi/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-bare.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -rf target/site/apidocs/* \
                  $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %with repolib
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{repodir}/component-info.xml
sed -i 's/@VERSION@/%{version}.%{reltag}-brew/g' $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{repodirsrc}
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}.jar $RPM_BUILD_ROOT%{repodirlib}/jboss-security-spi.jar
%endif

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/acl-spi-%{version}.jar
%{_javadir}/%{name}/acl-spi.jar
%{_javadir}/%{name}/authorization-spi-%{version}.jar
%{_javadir}/%{name}/authorization-spi.jar
%{_javadir}/%{name}/identity-spi-%{version}.jar
%{_javadir}/%{name}/identity-spi.jar
%{_javadir}/%{name}/jboss-security-spi-%{version}.jar
%{_javadir}/%{name}/jboss-security-spi-as4-%{version}.jar
%{_javadir}/%{name}/jboss-security-spi-as4.jar
%{_javadir}/%{name}/jboss-security-spi-bare-%{version}.jar
%{_javadir}/%{name}/jboss-security-spi-bare.jar
%{_javadir}/%{name}/jboss-security-spi.jar
%{_datadir}/maven2/poms/JPP.%{name}-acl-spi.pom
%{_datadir}/maven2/poms/JPP.%{name}-authorization-spi.pom
%{_datadir}/maven2/poms/JPP.%{name}-identity-spi.pom
%{_datadir}/maven2/poms/JPP.%{name}-jboss-security-spi-as4.pom
%{_datadir}/maven2/poms/JPP.%{name}-jboss-security-spi-bare.pom
%{_datadir}/maven2/poms/JPP.%{name}-jboss-security-spi-parent.pom
%{_datadir}/maven2/poms/JPP.%{name}-jboss-security-spi-pom.pom
%{_datadir}/maven2/poms/JPP.%{name}-jboss-security-spi.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%if %with repolib
%files repolib
%{_javadir}/repository.jboss.com
%endif

%changelog
* Fri Sep 03 2010 Igor Vlasenko <viy@altlinux.ru> 1:2.0.3-alt1_2.SP1.1jpp6
- new version

